Get Text Scan Graph
curl --request GET \
--url https://api.your-blindsight.com/api/scans/{scan_id}/text-graphimport requests
url = "https://api.your-blindsight.com/api/scans/{scan_id}/text-graph"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.your-blindsight.com/api/scans/{scan_id}/text-graph', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.your-blindsight.com/api/scans/{scan_id}/text-graph",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.your-blindsight.com/api/scans/{scan_id}/text-graph"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.your-blindsight.com/api/scans/{scan_id}/text-graph")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.your-blindsight.com/api/scans/{scan_id}/text-graph")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"scan_id": "<string>",
"dataset_id": "<string>",
"nodes": [
{
"id": "<string>",
"reference": "<string>",
"document_key": "<string>",
"x": 123,
"y": 123,
"issue_type": "<string>",
"issue_label": "<string>",
"severity": "<string>",
"document_title": "<string>",
"paragraph_index": 123,
"is_off_topic": false,
"is_interaction_issue": false,
"is_issue": false,
"given_label": "<string>",
"predicted_label": "<string>",
"preview_url": "<string>",
"primary_result_id": "<string>",
"matched_result_ids": [
"<string>"
],
"matched_result_count": 0,
"description": "<string>",
"text_snippet": "<string>",
"sample_findings": [
{
"result_id": "<string>",
"severity": "<string>",
"vulnerability_type": "<string>",
"description": "<string>",
"text_snippet": "<string>",
"preview_url": "<string>"
}
]
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>",
"weight": 123
}
],
"topics": [
{
"id": "<string>",
"label": "<string>",
"center_x": 123,
"center_y": 123,
"chunk_ids": [
"<string>"
],
"is_off_topic": false,
"off_topic_count": 0,
"mentions": [
"<string>"
]
}
],
"documents": [
{
"key": "<string>",
"title": "<string>",
"chunk_ids": [
"<string>"
],
"topic_ids": [
"<string>"
],
"off_topic_count": 0
}
],
"document_topic_edges": [
{
"id": "<string>",
"document_key": "<string>",
"topic_id": "<string>",
"shared_chunk_count": 0,
"weight": 0
}
],
"stats": {
"total_nodes": 0,
"total_edges": 0,
"off_topic_nodes": 0,
"interaction_flagged_nodes": 0,
"flagged_nodes": 0,
"topic_nodes": 0,
"topic_clusters": 0,
"document_count": 0
},
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Scans
Get Text Scan Graph
GET
/
api
/
scans
/
{scan_id}
/
text-graph
Get Text Scan Graph
curl --request GET \
--url https://api.your-blindsight.com/api/scans/{scan_id}/text-graphimport requests
url = "https://api.your-blindsight.com/api/scans/{scan_id}/text-graph"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.your-blindsight.com/api/scans/{scan_id}/text-graph', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.your-blindsight.com/api/scans/{scan_id}/text-graph",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.your-blindsight.com/api/scans/{scan_id}/text-graph"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.your-blindsight.com/api/scans/{scan_id}/text-graph")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.your-blindsight.com/api/scans/{scan_id}/text-graph")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"scan_id": "<string>",
"dataset_id": "<string>",
"nodes": [
{
"id": "<string>",
"reference": "<string>",
"document_key": "<string>",
"x": 123,
"y": 123,
"issue_type": "<string>",
"issue_label": "<string>",
"severity": "<string>",
"document_title": "<string>",
"paragraph_index": 123,
"is_off_topic": false,
"is_interaction_issue": false,
"is_issue": false,
"given_label": "<string>",
"predicted_label": "<string>",
"preview_url": "<string>",
"primary_result_id": "<string>",
"matched_result_ids": [
"<string>"
],
"matched_result_count": 0,
"description": "<string>",
"text_snippet": "<string>",
"sample_findings": [
{
"result_id": "<string>",
"severity": "<string>",
"vulnerability_type": "<string>",
"description": "<string>",
"text_snippet": "<string>",
"preview_url": "<string>"
}
]
}
],
"edges": [
{
"id": "<string>",
"source": "<string>",
"target": "<string>",
"weight": 123
}
],
"topics": [
{
"id": "<string>",
"label": "<string>",
"center_x": 123,
"center_y": 123,
"chunk_ids": [
"<string>"
],
"is_off_topic": false,
"off_topic_count": 0,
"mentions": [
"<string>"
]
}
],
"documents": [
{
"key": "<string>",
"title": "<string>",
"chunk_ids": [
"<string>"
],
"topic_ids": [
"<string>"
],
"off_topic_count": 0
}
],
"document_topic_edges": [
{
"id": "<string>",
"document_key": "<string>",
"topic_id": "<string>",
"shared_chunk_count": 0,
"weight": 0
}
],
"stats": {
"total_nodes": 0,
"total_edges": 0,
"off_topic_nodes": 0,
"interaction_flagged_nodes": 0,
"flagged_nodes": 0,
"topic_nodes": 0,
"topic_clusters": 0,
"document_count": 0
},
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Query Parameters
Response
Successful Response

